currDir = directory()  -- Aktuelles Verzeichnis ermitteln

browser = .oleobject~new('InternetExplorer.Application')  -- Internet Explorer-Objekt erstellen
browser~Navigate(currDir || "\index.html")  -- Navigiere zum aktuellen Verzeichnis + "\index.html"
browser~Visible = .True  -- Mache den Browser sichtbar

Word = .OLEObject~New("Word.Application")  -- Word-Objekt erstellen
Word~Visible = .False  -- Das Word-Fenster ausblenden
Document = Word~Documents~Add  -- Neues Dokument erstellen
Selection = Word~Selection  -- Auswahl-Objekt erstellen

do forever  -- Endlosschleife
    parse upper arg search_string  -- Die Eingabe in Grossbuchstaben analysieren
    file=.stream~new(currDir || "\text.txt")  -- Textdatei oeffnen und ein Stream-Objekt erstellen
    lines=file~makearray(line)  -- Inhalt der Textdatei in ein Array einlesen
    do i over lines  -- Schleife ueber jede Zeile im Array
        Selection~Style = "Normal"  -- Stil der Auswahl auf "Normal" setzen
        Selection~TypeText(i)  -- Text der aktuellen Zeile in das Word-Dokument einfuegen
        Selection~TypeParagraph  -- Einen Zeilenumbruch im Word-Dokument einfuegen
    end
    file~close  -- Textdatei schliessen

    IF lines~size > 0 THEN  -- Wenn das Array 'lines' Elemente enthaelt (Textdatei nicht leer)
        do
            say "saving word and pdf"  -- Meldung ausgeben
            Document~SaveAs(currDir || "\output\myFile.docx")  -- Word-Dokument als .docx im Ausgabeverzeichnis speichern
            ADDRESS SYSTEM "pandoc text.txt -o output/myFile.pdf"  -- Textdatei in ein PDF-Dokument konvertieren
            call SysFileDelete currDir || "\text.txt"  -- Textdatei loeschen
            Word~quit  -- Word-Anwendung beenden
            EXIT  -- Schleife verlassen
        end
    call SysSleep 1  -- 1 Sekunde Pause
end
